# FoundationClasses
TKMath
math

# math_ComputeKronrodPointsAndWeights Class Reference

`#include <math_ComputeKronrodPointsAndWeights.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_ComputeKronrodPointsAndWeights (const Standard_Integer Number)
Standard_EXPORT Standard_Boolean | IsDone () const
Standard_EXPORT math_Vector | Points () const
Standard_EXPORT math_Vector | Weights () const

## Private Attributes

Handle_TColStd_HArray1OfReal | myPoints
Handle_TColStd_HArray1OfReal | myWeights
Standard_Boolean | myIsDone

## Constructor & Destructor Documentation

Standard_EXPORT math_ComputeKronrodPointsAndWeights::math_ComputeKronrodPointsAndWeights | ( | const Standard_Integer | Number | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean math_ComputeKronrodPointsAndWeights::IsDone | ( |  | ) | const

void math_ComputeKronrodPointsAndWeights::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_ComputeKronrodPointsAndWeights::operator new | ( | size_t | size | ) | `[inline]`

void* math_ComputeKronrodPointsAndWeights::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT math_Vector math_ComputeKronrodPointsAndWeights::Points | ( |  | ) | const

Standard_EXPORT math_Vector math_ComputeKronrodPointsAndWeights::Weights | ( |  | ) | const

## Field Documentation

Standard_Boolean math_ComputeKronrodPointsAndWeights::myIsDone `[private]`

Handle_TColStd_HArray1OfReal math_ComputeKronrodPointsAndWeights::myPoints `[private]`

Handle_TColStd_HArray1OfReal math_ComputeKronrodPointsAndWeights::myWeights `[private]`

The documentation for this class was generated from the following file:

- math_ComputeKronrodPointsAndWeights.hxx